Module org.apache.sis.referencing
Package org.apache.sis.geometry

# Class MismatchedReferenceSystemException

Object
Throwable
Exception
RuntimeException
IllegalArgumentException
MismatchedReferenceSystemException

All Implemented Interfaces:
  `Serializable`

public class MismatchedReferenceSystemException extends IllegalArgumentException
Indicates that an object cannot be constructed because of a mismatch in the reference systems of geometric components.

Since:
  0.3
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MismatchedReferenceSystemException()`
  Creates an exception with no message.
  `MismatchedReferenceSystemException(String message)`
  Creates an exception with the specified message.
  `MismatchedReferenceSystemException(String message, Throwable cause)`
  Creates an exception with the specified message and cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MismatchedReferenceSystemException

    public MismatchedReferenceSystemException()
    Creates an exception with no message.

  - ### MismatchedReferenceSystemException

    public MismatchedReferenceSystemException(String message)
    Creates an exception with the specified message.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.

  - ### MismatchedReferenceSystemException

    public MismatchedReferenceSystemException(String message, Throwable cause)
    Creates an exception with the specified message and cause.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.
      `cause` - The cause.